php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #45061 Installer incorrect
Submitted: 2008-05-21 20:46 UTC Modified: 2008-08-22 18:24 UTC
Votes:1
Avg. Score:5.0 ± 0.0
Reproduced:1 of 1 (100.0%)
Same Version:1 (100.0%)
Same OS:1 (100.0%)
From: rtomblin at hughes dot net Assigned: jmertic (profile)
Status: Not a bug Package: Windows Installer
PHP Version: 5.2.6 OS: Windows Vista
Private report: No CVE-ID: None
 [2008-05-21 20:46 UTC] rtomblin at hughes dot net
Description:
------------
MSI Installer seems to install great BUT it errors for httpd.conf and I know from previous versions this does not get installed on Windows boxes. If you could please correct this, we would appreciate it greatly.



Expected result:
----------------
Expect Windows MSI installer not to fail.

Actual result:
--------------
php-5.2.6-win32-installer.msi package just downlaod from website.

Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2008-05-22 08:29 UTC] jani@php.net
Assigned to the installer maintainer.
 [2008-05-22 12:33 UTC] jmertic@php.net
Please install with administrator privileges, or provide betters steps to reproduce.
 [2008-05-22 13:31 UTC] rtomblin at hughes dot net
Windows Vista Enterprise SP1

Logged in as Administrator.

Trying to install PHP 5.2.6 by following instructions from 
 1. Download php-5.2.6-win32-installer.msi
 2. Opened containing folder
 3. Double clicked on php-5.2.6-win32-installer.msi
 4. Used default setups
 5. Tried every server type.
 6. GOT ERROR
    Error trying to access http.conf. You will need to manually configue web server.

HMMMM...  I am starting to think of going back to DreamWeaver because a developer does not know how to verify by doing the install themself!

I am a developer and can manually configure this BUT I thought you would like to know that there are errors.

New issue to be posted because I found more errors!!!
 [2008-05-25 18:38 UTC] jani@php.net
Works fine for me. Check your Apache installation..
 [2008-05-26 14:22 UTC] rtomblin at hughes dot net
I am not using Apache, Linux, or above. 

I am using MS Windows Vista Enterprise with IIS 7

Hmmm...  Maybe this is why I am getting an PHP error, because you said it works with IIS and yet the connector in the installer does not work?
 
PHP Copyright © 2001-2021 The PHP Group
All rights reserved.
Last updated: Wed Dec 01 04:03:40 2021 UTC